<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{62601F00-9354-4EF5-9391-1050B72C1ED3}</ProjectGuid>
    <RootNamespace>eai7zip</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseOfMfc>false</UseOfMfc>
    <PlatformToolset>v140</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseOfMfc>false</UseOfMfc>
    <PlatformToolset>v140</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC71.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC71.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.40219.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">.\Release_x64\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">.\Release_x64\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|x64'">false</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">.\Debug_x64\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">.\Debug_x64\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>Win32</TargetEnvironment>
      <TypeLibraryName>.\Release_x64/eai7zip.tlb</TypeLibraryName>
      <HeaderFileName>
      </HeaderFileName>
    </Midl>
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
      <AdditionalIncludeDirectories>..;../;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>NDEBUG;WINDLL;NO_CRYPT;EAI7ZIP_EXPORTS;_WINDOWS;WIN32;DLL;USE_EF_UT_TIME;_CRT_NONSTDC_NO_WARNINGS=1;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <PrecompiledHeaderOutputFile>.\Release_x64/eai7zip.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>.\Release_x64/</AssemblerListingLocation>
      <ObjectFileName>.\Release_x64/</ObjectFileName>
      <ProgramDataBaseFileName>.\Release_x64/</ProgramDataBaseFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <CompileAs>Default</CompileAs>
      <TreatWChar_tAsBuiltInType>false</TreatWChar_tAsBuiltInType>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;WIN32;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <PreLinkEvent>
      <Message>Setting Permissions</Message>
      <Command>attrib -R ..\lib_x64\eai7zip.lib attrib -R ..\bin_x64\eai7zip.dll</Command>
    </PreLinkEvent>
    <Link>
      <AdditionalOptions>/machine:x64 %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>Advapi32.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>./bin_x64/eai7zip.dll</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <ProgramDatabaseFile>
      </ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <ImportLibrary>.\Release_x64/eai7zip.lib</ImportLibrary>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <PostBuildEvent>
      <Command>
      </Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Midl>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>Win32</TargetEnvironment>
      <TypeLibraryName>.\Debug_x64/eai7zip.tlb</TypeLibraryName>
      <HeaderFileName>
      </HeaderFileName>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..;../;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_DEBUG;NO_CRYPT;EAI7ZIP_EXPORTS;_WINDOWS;WIN32;WINDLL;DLL;USE_EF_UT_TIME;_CRT_NONSTDC_NO_WARNINGS=1;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <PrecompiledHeaderOutputFile>.\Debug_x64/eai7zip.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>.\Debug_x64/</AssemblerListingLocation>
      <ObjectFileName>.\Debug_x64/</ObjectFileName>
      <ProgramDataBaseFileName>.\Debug_x64/</ProgramDataBaseFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
      <TreatWChar_tAsBuiltInType>false</TreatWChar_tAsBuiltInType>
      <ForceConformanceInForLoopScope>false</ForceConformanceInForLoopScope>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;WIN32;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <PreLinkEvent>
      <Message>Setting Permissions</Message>
      <Command>attrib -R ..\lib_x64\eai7zip_d.lib attrib -R ..\bin_x64\eai7zip_d.dll</Command>
    </PreLinkEvent>
    <Link>
      <AdditionalOptions>/machine:x64 %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>Advapi32.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>./bin_x64/eai7zip_d.dll</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ProgramDatabaseFile>.\Debug_x64/eai7zip_d.pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <ImportLibrary>.\Debug_x64/eai7zip_d.lib</ImportLibrary>
    </Link>
    <PostBuildEvent>
      <Command>
      </Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="18.05\eai7zip.cpp" />
    <ClCompile Include="18.05\windll.cpp" />
    <ClInclude Include="18.05\windll.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zCompressionMode.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zDecode.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zEncode.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zFolderInStream.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zHandler.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zHeader.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zIn.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zItem.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zOut.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zProperties.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zSpecStream.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\7z\7zUpdate.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Cab\CabBlockInStream.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Cab\CabHandler.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Cab\CabHeader.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Cab\CabIn.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Cab\CabItem.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Common\CoderMixer2.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Common\DummyOutStream.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Common\FindSignature.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Common\HandlerOut.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Common\InStreamWithCRC.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Common\ItemNameUtils.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Common\MultiStream.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Common\OutStreamWithCRC.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Common\ParseProperties.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\DeflateProps.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\IArchive.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Tar\TarHandler.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Tar\TarHeader.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Tar\TarIn.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Tar\TarItem.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Tar\TarOut.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Tar\TarUpdate.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Zip\ZipAddCommon.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Zip\ZipCompressionMode.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Zip\ZipHandler.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Zip\ZipHeader.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Zip\ZipIn.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Zip\ZipItem.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Zip\ZipOut.h" />
    <ClInclude Include="18.05\CPP\7zip\Archive\Zip\ZipUpdate.h" />
    <ClInclude Include="18.05\CPP\7zip\Bundles\Alone\StdAfx.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\CreateCoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\CWrappers.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\FilePathAutoRename.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\FileStreams.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\FilterCoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\InBuffer.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\InOutTempBuffer.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\LimitedStreams.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\LockedStream.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\MemBlocks.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\MethodId.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\MethodProps.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\OffsetStream.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\OutBuffer.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\OutMemStream.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\ProgressMt.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\ProgressUtils.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\RegisterArc.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\RegisterCodec.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\StreamBinder.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\StreamObjects.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\StreamUtils.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\UniqBlocks.h" />
    <ClInclude Include="18.05\CPP\7zip\Common\VirtThread.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\Bcj2Coder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\BcjCoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\BitlDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\BitlEncoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\BitmDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\BitmEncoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\BranchMisc.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\BZip2Crc.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\BZip2Decoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\BZip2Encoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\CopyCoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\DeflateConst.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\DeflateDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\DeflateEncoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\HuffmanDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\ImplodeDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\ImplodeHuffmanDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\LzhDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\Lzma2Decoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\Lzma2Encoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\LzmaDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\LzmaEncoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\LzOutWindow.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\Lzx.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\LzxDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\Mtf8.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\PpmdDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\PpmdEncoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\PpmdZip.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\QuantumDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\ShrinkDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\XzDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\XzEncoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Compress\ZDecoder.h" />
    <ClInclude Include="18.05\CPP\7zip\Crypto\7zAes.h" />
    <ClInclude Include="18.05\CPP\7zip\Crypto\HmacSha1.h" />
    <ClInclude Include="18.05\CPP\7zip\Crypto\MyAes.h" />
    <ClInclude Include="18.05\CPP\7zip\Crypto\Pbkdf2HmacSha1.h" />
    <ClInclude Include="18.05\CPP\7zip\Crypto\RandGen.h" />
    <ClInclude Include="18.05\CPP\7zip\Crypto\WzAes.h" />
    <ClInclude Include="18.05\CPP\7zip\Crypto\ZipCrypto.h" />
    <ClInclude Include="18.05\CPP\7zip\Crypto\ZipStrong.h" />
    <ClInclude Include="18.05\CPP\7zip\ICoder.h" />
    <ClInclude Include="18.05\CPP\7zip\IPassword.h" />
    <ClInclude Include="18.05\CPP\7zip\IProgress.h" />
    <ClInclude Include="18.05\CPP\7zip\IStream.h" />
    <ClInclude Include="18.05\CPP\7zip\PropID.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\ArchiveCommandLine.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\ArchiveExtractCallback.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\ArchiveOpenCallback.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\Bench.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\DefaultName.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\EnumDirItems.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\Extract.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\ExtractingFilePath.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\HashCalc.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\LoadCodecs.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\OpenArchive.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\PropIDUtils.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\SetProperties.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\SortUtils.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\TempFiles.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\Update.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\UpdateAction.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\UpdateCallback.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\UpdatePair.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Common\UpdateProduce.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Console\BenchCon.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Console\ConsoleClose.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Console\ExtractCallbackConsole.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Console\HashCon.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Console\List.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Console\OpenCallbackConsole.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Console\PercentPrinter.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Console\UpdateCallbackConsole.h" />
    <ClInclude Include="18.05\CPP\7zip\UI\Console\UserInputUtils.h" />
    <ClInclude Include="18.05\CPP\Common\AutoPtr.h" />
    <ClInclude Include="18.05\CPP\Common\CommandLineParser.h" />
    <ClInclude Include="18.05\CPP\Common\ComTry.h" />
    <ClInclude Include="18.05\CPP\Common\Defs.h" />
    <ClInclude Include="18.05\CPP\Common\DynamicBuffer.h" />
    <ClInclude Include="18.05\CPP\Common\IntToString.h" />
    <ClInclude Include="18.05\CPP\Common\ListFileUtils.h" />
    <ClInclude Include="18.05\CPP\Common\MyCom.h" />
    <ClInclude Include="18.05\CPP\Common\MyException.h" />
    <ClInclude Include="18.05\CPP\Common\MyGuidDef.h" />
    <ClInclude Include="18.05\CPP\Common\MyInitGuid.h" />
    <ClInclude Include="18.05\CPP\Common\MyString.h" />
    <ClInclude Include="18.05\CPP\Common\MyUnknown.h" />
    <ClInclude Include="18.05\CPP\Common\MyVector.h" />
    <ClInclude Include="18.05\CPP\Common\NewHandler.h" />
    <ClInclude Include="18.05\CPP\Common\StdInStream.h" />
    <ClInclude Include="18.05\CPP\Common\StdOutStream.h" />
    <ClInclude Include="18.05\CPP\Common\StringConvert.h" />
    <ClInclude Include="18.05\CPP\Common\StringToInt.h" />
    <ClInclude Include="18.05\CPP\Common\UTFConvert.h" />
    <ClInclude Include="18.05\CPP\Common\Wildcard.h" />
    <ClInclude Include="18.05\CPP\Windows\Defs.h" />
    <ClInclude Include="18.05\CPP\Windows\DLL.h" />
    <ClInclude Include="18.05\CPP\Windows\ErrorMsg.h" />
    <ClInclude Include="18.05\CPP\Windows\FileDir.h" />
    <ClInclude Include="18.05\CPP\Windows\FileFind.h" />
    <ClInclude Include="18.05\CPP\Windows\FileIO.h" />
    <ClInclude Include="18.05\CPP\Windows\FileName.h" />
    <ClInclude Include="18.05\CPP\Windows\FileSystem.h" />
    <ClInclude Include="18.05\CPP\Windows\Handle.h" />
    <ClInclude Include="18.05\CPP\Windows\MemoryLock.h" />
    <ClInclude Include="18.05\CPP\Windows\PropVariant.h" />
    <ClInclude Include="18.05\CPP\Windows\PropVariantConv.h" />
    <ClInclude Include="18.05\CPP\Windows\PropVariantUtils.h" />
    <ClInclude Include="18.05\CPP\Windows\Synchronization.h" />
    <ClInclude Include="18.05\CPP\Windows\System.h" />
    <ClInclude Include="18.05\CPP\Windows\Thread.h" />
    <ClInclude Include="18.05\CPP\Windows\TimeUtils.h" />
    <ClInclude Include="18.05\C\7zCrc.h" />
    <ClInclude Include="18.05\C\Aes.h" />
    <ClInclude Include="18.05\C\Alloc.h" />
    <ClInclude Include="18.05\C\Bcj2.h" />
    <ClInclude Include="18.05\C\Bra.h" />
    <ClInclude Include="18.05\C\BwtSort.h" />
    <ClInclude Include="18.05\C\CpuArch.h" />
    <ClInclude Include="18.05\C\Delta.h" />
    <ClInclude Include="18.05\C\HuffEnc.h" />
    <ClInclude Include="18.05\C\LzFind.h" />
    <ClInclude Include="18.05\C\LzFindMt.h" />
    <ClInclude Include="18.05\C\LzHash.h" />
    <ClInclude Include="18.05\C\Lzma2Dec.h" />
    <ClInclude Include="18.05\C\Lzma2DecMt.h" />
    <ClInclude Include="18.05\C\Lzma2Enc.h" />
    <ClInclude Include="18.05\C\LzmaDec.h" />
    <ClInclude Include="18.05\C\LzmaEnc.h" />
    <ClInclude Include="18.05\C\MtCoder.h" />
    <ClInclude Include="18.05\C\MtDec.h" />
    <ClInclude Include="18.05\C\Ppmd.h" />
    <ClInclude Include="18.05\C\Ppmd7.h" />
    <ClInclude Include="18.05\C\Ppmd8.h" />
    <ClInclude Include="18.05\C\RotateDefs.h" />
    <ClInclude Include="18.05\C\Sha1.h" />
    <ClInclude Include="18.05\C\Sha256.h" />
    <ClInclude Include="18.05\C\Sort.h" />
    <ClInclude Include="18.05\C\Threads.h" />
    <ClInclude Include="18.05\C\Xz.h" />
    <ClInclude Include="18.05\C\XzCrc64.h" />
    <ClInclude Include="18.05\C\XzEnc.h" />
    <ClInclude Include="18.05\__declspec.h" />
    <ClInclude Include="eai7zip.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zCompressionMode.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zDecode.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zEncode.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zExtract.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zFolderInStream.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zHandler.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zHandlerOut.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zHeader.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zIn.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zOut.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zProperties.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zRegister.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zSpecStream.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\7z\7zUpdate.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Bz2Handler.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Cab\CabBlockInStream.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Cab\CabHandler.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Cab\CabHeader.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Cab\CabIn.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Cab\CabRegister.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Common\CoderMixer2.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Common\DummyOutStream.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Common\FindSignature.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Common\HandlerOut.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Common\InStreamWithCRC.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Common\ItemNameUtils.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Common\MultiStream.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Common\OutStreamWithCRC.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Common\ParseProperties.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\DeflateProps.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\GzHandler.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\LzmaHandler.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\SplitHandler.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Tar\TarHandler.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Tar\TarHandlerOut.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Tar\TarHeader.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Tar\TarIn.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Tar\TarOut.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Tar\TarRegister.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Tar\TarUpdate.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\XzHandler.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\ZHandler.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Zip\ZipAddCommon.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Zip\ZipHandler.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Zip\ZipHandlerOut.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Zip\ZipIn.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Zip\ZipItem.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Zip\ZipOut.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Zip\ZipRegister.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Archive\Zip\ZipUpdate.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Bundles\Alone\StdAfx.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\CreateCoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\CWrappers.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\FilePathAutoRename.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\FileStreams.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\FilterCoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\InBuffer.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\InOutTempBuffer.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\LimitedStreams.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\LockedStream.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\MemBlocks.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\MethodId.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\MethodProps.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\OffsetStream.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\OutBuffer.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\OutMemStream.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\ProgressMt.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\ProgressUtils.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\PropId.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\StreamBinder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\StreamObjects.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\StreamUtils.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\UniqBlocks.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Common\VirtThread.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\Bcj2Coder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\Bcj2Register.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\BcjCoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\BcjRegister.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\BitlDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\BranchMisc.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\BranchRegister.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\ByteSwap.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\BZip2Crc.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\BZip2Decoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\BZip2Encoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\BZip2Register.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\CopyCoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\CopyRegister.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\Deflate64Register.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\DeflateDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\DeflateEncoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\DeflateRegister.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\DeltaFilter.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\ImplodeDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\ImplodeHuffmanDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\LzhDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\Lzma2Decoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\Lzma2Encoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\Lzma2Register.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\LzmaDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\LzmaEncoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\LzmaRegister.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\LzOutWindow.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\LzxDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\PpmdDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\PpmdEncoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\PpmdRegister.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\PpmdZip.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\QuantumDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\ShrinkDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\XzDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\XzEncoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Compress\ZDecoder.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Crypto\7zAes.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Crypto\7zAesRegister.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Crypto\HmacSha1.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Crypto\MyAes.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Crypto\MyAesReg.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Crypto\Pbkdf2HmacSha1.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Crypto\RandGen.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Crypto\WzAes.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Crypto\ZipCrypto.cpp" />
    <ClCompile Include="18.05\CPP\7zip\Crypto\ZipStrong.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\ArchiveCommandLine.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\ArchiveExtractCallback.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\ArchiveOpenCallback.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\Bench.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\DefaultName.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\EnumDirItems.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\Extract.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\ExtractingFilePath.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\HashCalc.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\LoadCodecs.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\OpenArchive.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\PropIDUtils.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\SetProperties.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\SortUtils.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\TempFiles.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\Update.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\UpdateAction.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\UpdateCallback.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\UpdatePair.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Common\UpdateProduce.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Console\BenchCon.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Console\ConsoleClose.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Console\ExtractCallbackConsole.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Console\HashCon.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Console\List.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Console\Main.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Console\OpenCallbackConsole.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Console\PercentPrinter.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Console\UpdateCallbackConsole.cpp" />
    <ClCompile Include="18.05\CPP\7zip\UI\Console\UserInputUtils.cpp" />
    <ClCompile Include="18.05\CPP\Common\CommandLineParser.cpp" />
    <ClCompile Include="18.05\CPP\Common\CRC.cpp" />
    <ClCompile Include="18.05\CPP\Common\CrcReg.cpp" />
    <ClCompile Include="18.05\CPP\Common\IntToString.cpp" />
    <ClCompile Include="18.05\CPP\Common\ListFileUtils.cpp" />
    <ClCompile Include="18.05\CPP\Common\MyString.cpp" />
    <ClCompile Include="18.05\CPP\Common\MyVector.cpp" />
    <ClCompile Include="18.05\CPP\Common\NewHandler.cpp" />
    <ClCompile Include="18.05\CPP\Common\Sha1Reg.cpp" />
    <ClCompile Include="18.05\CPP\Common\Sha256Reg.cpp" />
    <ClCompile Include="18.05\CPP\Common\StdInStream.cpp" />
    <ClCompile Include="18.05\CPP\Common\StdOutStream.cpp" />
    <ClCompile Include="18.05\CPP\Common\StringConvert.cpp" />
    <ClCompile Include="18.05\CPP\Common\StringToInt.cpp" />
    <ClCompile Include="18.05\CPP\Common\UTFConvert.cpp" />
    <ClCompile Include="18.05\CPP\Common\Wildcard.cpp" />
    <ClCompile Include="18.05\CPP\Common\XzCrc64Reg.cpp" />
    <ClCompile Include="18.05\CPP\Windows\DLL.cpp" />
    <ClCompile Include="18.05\CPP\Windows\ErrorMsg.cpp" />
    <ClCompile Include="18.05\CPP\Windows\FileDir.cpp" />
    <ClCompile Include="18.05\CPP\Windows\FileFind.cpp" />
    <ClCompile Include="18.05\CPP\Windows\FileIO.cpp" />
    <ClCompile Include="18.05\CPP\Windows\FileLink.cpp" />
    <ClCompile Include="18.05\CPP\Windows\FileName.cpp" />
    <ClCompile Include="18.05\CPP\Windows\FileSystem.cpp" />
    <ClCompile Include="18.05\CPP\Windows\MemoryLock.cpp" />
    <ClCompile Include="18.05\CPP\Windows\PropVariant.cpp" />
    <ClCompile Include="18.05\CPP\Windows\PropVariantConv.cpp" />
    <ClCompile Include="18.05\CPP\Windows\PropVariantUtils.cpp" />
    <ClCompile Include="18.05\CPP\Windows\Synchronization.cpp" />
    <ClCompile Include="18.05\CPP\Windows\System.cpp" />
    <ClCompile Include="18.05\CPP\Windows\TimeUtils.cpp" />
    <ClCompile Include="18.05\C\7zCrc.c" />
    <ClCompile Include="18.05\C\7zCrcOpt.c" />
    <ClCompile Include="18.05\C\7zStream.c" />
    <ClCompile Include="18.05\C\Aes.c" />
    <ClCompile Include="18.05\C\AesOpt.c" />
    <ClCompile Include="18.05\C\Alloc.c" />
    <ClCompile Include="18.05\C\Bcj2.c" />
    <ClCompile Include="18.05\C\Bcj2Enc.c" />
    <ClCompile Include="18.05\C\Bra.c" />
    <ClCompile Include="18.05\C\Bra86.c" />
    <ClCompile Include="18.05\C\BraIA64.c" />
    <ClCompile Include="18.05\C\BwtSort.c" />
    <ClCompile Include="18.05\C\CpuArch.c" />
    <ClCompile Include="18.05\C\Delta.c" />
    <ClCompile Include="18.05\C\HuffEnc.c" />
    <ClCompile Include="18.05\C\LzFind.c" />
    <ClCompile Include="18.05\C\LzFindMt.c" />
    <ClCompile Include="18.05\C\Lzma2Dec.c" />
    <ClCompile Include="18.05\C\Lzma2DecMt.c" />
    <ClCompile Include="18.05\C\Lzma2Enc.c" />
    <ClCompile Include="18.05\C\LzmaDec.c" />
    <ClCompile Include="18.05\C\LzmaEnc.c" />
    <ClCompile Include="18.05\C\MtCoder.c" />
    <ClCompile Include="18.05\C\MtDec.c" />
    <ClCompile Include="18.05\C\Ppmd7.c" />
    <ClCompile Include="18.05\C\Ppmd7Dec.c" />
    <ClCompile Include="18.05\C\Ppmd7Enc.c" />
    <ClCompile Include="18.05\C\Ppmd8.c" />
    <ClCompile Include="18.05\C\Ppmd8Dec.c" />
    <ClCompile Include="18.05\C\Ppmd8Enc.c" />
    <ClCompile Include="18.05\C\Sha1.c" />
    <ClCompile Include="18.05\C\Sha256.c" />
    <ClCompile Include="18.05\C\Sort.c" />
    <ClCompile Include="18.05\C\Threads.c" />
    <ClCompile Include="18.05\C\Xz.c" />
    <ClCompile Include="18.05\C\XzCrc64.c" />
    <ClCompile Include="18.05\C\XzCrc64Opt.c" />
    <ClCompile Include="18.05\C\XzDec.c" />
    <ClCompile Include="18.05\C\XzEnc.c" />
    <ClCompile Include="18.05\C\XzIn.c" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>